uk.gov.hmrc.auth.core.retrieve

# v2

#### package v2

Visibility

1. Public
2. All

### Type Members

1. #### case class OauthTokens(accessToken: Option[String], refreshToken: Option[String], idToken: Option[String]) extends Product with Serializable

2. #### trait Retrievals extends AnyRef

3. #### case class TrustedHelper(principalName: String, attorneyName: String, returnLinkUrl: String, principalNino: domain.Nino) extends Product with Serializable

### Value Members

1. #### object OauthTokens extends Serializable

2. #### object Retrievals extends Retrievals

3. #### object TrustedHelper extends Serializable

### Ungrouped